cURL
curl -X POST "https://app.cotool.ai/api/alerts/:alertId/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"bodyMarkdown":"string"}'import requests
url = "https://app.cotool.ai/api/alerts/{alertId}/comments"
payload = { "bodyMarkdown": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bodyMarkdown: '<string>'})
};
fetch('https://app.cotool.ai/api/alerts/{alertId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/alerts/{alertId}/comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bodyMarkdown\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alerts/{alertId}/comments"
payload := strings.NewReader("{\n \"bodyMarkdown\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserName": "<string>",
"actorUserImageUrl": "<string>",
"kind": "<string>",
"bodyMarkdown": "<string>",
"metadata": {
"source": {},
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePayloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"actorAgentName": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Alerts
Add alert comment
Append a timeline comment to an alert.
POST
/
api
/
alerts
/
{alertId}
/
comments
cURL
curl -X POST "https://app.cotool.ai/api/alerts/:alertId/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"bodyMarkdown":"string"}'import requests
url = "https://app.cotool.ai/api/alerts/{alertId}/comments"
payload = { "bodyMarkdown": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bodyMarkdown: '<string>'})
};
fetch('https://app.cotool.ai/api/alerts/{alertId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/alerts/{alertId}/comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bodyMarkdown\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alerts/{alertId}/comments"
payload := strings.NewReader("{\n \"bodyMarkdown\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserName": "<string>",
"actorUserImageUrl": "<string>",
"kind": "<string>",
"bodyMarkdown": "<string>",
"metadata": {
"source": {},
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePayloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"actorAgentName": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Alert UUID or human-readable display ID
Body
application/json
Markdown comment body
Required string length:
1 - 20000Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Was this page helpful?
⌘I